Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25a:d00a:9f00/120
First address
2c19:dd:d9:dd:c25:c25a:d00a:9f00
Last address
2c19:dd:d9:dd:c25:c25a:d00a:9fff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:c25a:d00a:9f00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
f.9.a.0.0.d.a.5.2.c.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25a:d00a:9f00/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25a:d00a:9f00/1282c19:dd:d9:dd:c25:c25a:d00a:9f00
22c19:dd:d9:dd:c25:c25a:d00a:9f01/1282c19:dd:d9:dd:c25:c25a:d00a:9f01
32c19:dd:d9:dd:c25:c25a:d00a:9f02/1282c19:dd:d9:dd:c25:c25a:d00a:9f02
42c19:dd:d9:dd:c25:c25a:d00a:9f03/1282c19:dd:d9:dd:c25:c25a:d00a:9f03
52c19:dd:d9:dd:c25:c25a:d00a:9f04/1282c19:dd:d9:dd:c25:c25a:d00a:9f04
62c19:dd:d9:dd:c25:c25a:d00a:9f05/1282c19:dd:d9:dd:c25:c25a:d00a:9f05
72c19:dd:d9:dd:c25:c25a:d00a:9f06/1282c19:dd:d9:dd:c25:c25a:d00a:9f06
82c19:dd:d9:dd:c25:c25a:d00a:9f07/1282c19:dd:d9:dd:c25:c25a:d00a:9f07
92c19:dd:d9:dd:c25:c25a:d00a:9f08/1282c19:dd:d9:dd:c25:c25a:d00a:9f08
102c19:dd:d9:dd:c25:c25a:d00a:9f09/1282c19:dd:d9:dd:c25:c25a:d00a:9f09
112c19:dd:d9:dd:c25:c25a:d00a:9f0a/1282c19:dd:d9:dd:c25:c25a:d00a:9f0a
122c19:dd:d9:dd:c25:c25a:d00a:9f0b/1282c19:dd:d9:dd:c25:c25a:d00a:9f0b
132c19:dd:d9:dd:c25:c25a:d00a:9f0c/1282c19:dd:d9:dd:c25:c25a:d00a:9f0c
142c19:dd:d9:dd:c25:c25a:d00a:9f0d/1282c19:dd:d9:dd:c25:c25a:d00a:9f0d
152c19:dd:d9:dd:c25:c25a:d00a:9f0e/1282c19:dd:d9:dd:c25:c25a:d00a:9f0e
162c19:dd:d9:dd:c25:c25a:d00a:9f0f/1282c19:dd:d9:dd:c25:c25a:d00a:9f0f
172c19:dd:d9:dd:c25:c25a:d00a:9f10/1282c19:dd:d9:dd:c25:c25a:d00a:9f10
182c19:dd:d9:dd:c25:c25a:d00a:9f11/1282c19:dd:d9:dd:c25:c25a:d00a:9f11
192c19:dd:d9:dd:c25:c25a:d00a:9f12/1282c19:dd:d9:dd:c25:c25a:d00a:9f12
202c19:dd:d9:dd:c25:c25a:d00a:9f13/1282c19:dd:d9:dd:c25:c25a:d00a:9f13
212c19:dd:d9:dd:c25:c25a:d00a:9f14/1282c19:dd:d9:dd:c25:c25a:d00a:9f14
222c19:dd:d9:dd:c25:c25a:d00a:9f15/1282c19:dd:d9:dd:c25:c25a:d00a:9f15
232c19:dd:d9:dd:c25:c25a:d00a:9f16/1282c19:dd:d9:dd:c25:c25a:d00a:9f16
242c19:dd:d9:dd:c25:c25a:d00a:9f17/1282c19:dd:d9:dd:c25:c25a:d00a:9f17
252c19:dd:d9:dd:c25:c25a:d00a:9f18/1282c19:dd:d9:dd:c25:c25a:d00a:9f18
262c19:dd:d9:dd:c25:c25a:d00a:9f19/1282c19:dd:d9:dd:c25:c25a:d00a:9f19
272c19:dd:d9:dd:c25:c25a:d00a:9f1a/1282c19:dd:d9:dd:c25:c25a:d00a:9f1a
282c19:dd:d9:dd:c25:c25a:d00a:9f1b/1282c19:dd:d9:dd:c25:c25a:d00a:9f1b
292c19:dd:d9:dd:c25:c25a:d00a:9f1c/1282c19:dd:d9:dd:c25:c25a:d00a:9f1c
302c19:dd:d9:dd:c25:c25a:d00a:9f1d/1282c19:dd:d9:dd:c25:c25a:d00a:9f1d
312c19:dd:d9:dd:c25:c25a:d00a:9f1e/1282c19:dd:d9:dd:c25:c25a:d00a:9f1e
322c19:dd:d9:dd:c25:c25a:d00a:9f1f/1282c19:dd:d9:dd:c25:c25a:d00a:9f1f
332c19:dd:d9:dd:c25:c25a:d00a:9f20/1282c19:dd:d9:dd:c25:c25a:d00a:9f20
342c19:dd:d9:dd:c25:c25a:d00a:9f21/1282c19:dd:d9:dd:c25:c25a:d00a:9f21
352c19:dd:d9:dd:c25:c25a:d00a:9f22/1282c19:dd:d9:dd:c25:c25a:d00a:9f22
362c19:dd:d9:dd:c25:c25a:d00a:9f23/1282c19:dd:d9:dd:c25:c25a:d00a:9f23
372c19:dd:d9:dd:c25:c25a:d00a:9f24/1282c19:dd:d9:dd:c25:c25a:d00a:9f24
382c19:dd:d9:dd:c25:c25a:d00a:9f25/1282c19:dd:d9:dd:c25:c25a:d00a:9f25
392c19:dd:d9:dd:c25:c25a:d00a:9f26/1282c19:dd:d9:dd:c25:c25a:d00a:9f26
402c19:dd:d9:dd:c25:c25a:d00a:9f27/1282c19:dd:d9:dd:c25:c25a:d00a:9f27
412c19:dd:d9:dd:c25:c25a:d00a:9f28/1282c19:dd:d9:dd:c25:c25a:d00a:9f28
422c19:dd:d9:dd:c25:c25a:d00a:9f29/1282c19:dd:d9:dd:c25:c25a:d00a:9f29
432c19:dd:d9:dd:c25:c25a:d00a:9f2a/1282c19:dd:d9:dd:c25:c25a:d00a:9f2a
442c19:dd:d9:dd:c25:c25a:d00a:9f2b/1282c19:dd:d9:dd:c25:c25a:d00a:9f2b
452c19:dd:d9:dd:c25:c25a:d00a:9f2c/1282c19:dd:d9:dd:c25:c25a:d00a:9f2c
462c19:dd:d9:dd:c25:c25a:d00a:9f2d/1282c19:dd:d9:dd:c25:c25a:d00a:9f2d
472c19:dd:d9:dd:c25:c25a:d00a:9f2e/1282c19:dd:d9:dd:c25:c25a:d00a:9f2e
482c19:dd:d9:dd:c25:c25a:d00a:9f2f/1282c19:dd:d9:dd:c25:c25a:d00a:9f2f
492c19:dd:d9:dd:c25:c25a:d00a:9f30/1282c19:dd:d9:dd:c25:c25a:d00a:9f30
502c19:dd:d9:dd:c25:c25a:d00a:9f31/1282c19:dd:d9:dd:c25:c25a:d00a:9f31
512c19:dd:d9:dd:c25:c25a:d00a:9f32/1282c19:dd:d9:dd:c25:c25a:d00a:9f32
522c19:dd:d9:dd:c25:c25a:d00a:9f33/1282c19:dd:d9:dd:c25:c25a:d00a:9f33
532c19:dd:d9:dd:c25:c25a:d00a:9f34/1282c19:dd:d9:dd:c25:c25a:d00a:9f34
542c19:dd:d9:dd:c25:c25a:d00a:9f35/1282c19:dd:d9:dd:c25:c25a:d00a:9f35
552c19:dd:d9:dd:c25:c25a:d00a:9f36/1282c19:dd:d9:dd:c25:c25a:d00a:9f36
562c19:dd:d9:dd:c25:c25a:d00a:9f37/1282c19:dd:d9:dd:c25:c25a:d00a:9f37
572c19:dd:d9:dd:c25:c25a:d00a:9f38/1282c19:dd:d9:dd:c25:c25a:d00a:9f38
582c19:dd:d9:dd:c25:c25a:d00a:9f39/1282c19:dd:d9:dd:c25:c25a:d00a:9f39
592c19:dd:d9:dd:c25:c25a:d00a:9f3a/1282c19:dd:d9:dd:c25:c25a:d00a:9f3a
602c19:dd:d9:dd:c25:c25a:d00a:9f3b/1282c19:dd:d9:dd:c25:c25a:d00a:9f3b
612c19:dd:d9:dd:c25:c25a:d00a:9f3c/1282c19:dd:d9:dd:c25:c25a:d00a:9f3c
622c19:dd:d9:dd:c25:c25a:d00a:9f3d/1282c19:dd:d9:dd:c25:c25a:d00a:9f3d
632c19:dd:d9:dd:c25:c25a:d00a:9f3e/1282c19:dd:d9:dd:c25:c25a:d00a:9f3e
642c19:dd:d9:dd:c25:c25a:d00a:9f3f/1282c19:dd:d9:dd:c25:c25a:d00a:9f3f
652c19:dd:d9:dd:c25:c25a:d00a:9f40/1282c19:dd:d9:dd:c25:c25a:d00a:9f40
662c19:dd:d9:dd:c25:c25a:d00a:9f41/1282c19:dd:d9:dd:c25:c25a:d00a:9f41
672c19:dd:d9:dd:c25:c25a:d00a:9f42/1282c19:dd:d9:dd:c25:c25a:d00a:9f42
682c19:dd:d9:dd:c25:c25a:d00a:9f43/1282c19:dd:d9:dd:c25:c25a:d00a:9f43
692c19:dd:d9:dd:c25:c25a:d00a:9f44/1282c19:dd:d9:dd:c25:c25a:d00a:9f44
702c19:dd:d9:dd:c25:c25a:d00a:9f45/1282c19:dd:d9:dd:c25:c25a:d00a:9f45
712c19:dd:d9:dd:c25:c25a:d00a:9f46/1282c19:dd:d9:dd:c25:c25a:d00a:9f46
722c19:dd:d9:dd:c25:c25a:d00a:9f47/1282c19:dd:d9:dd:c25:c25a:d00a:9f47
732c19:dd:d9:dd:c25:c25a:d00a:9f48/1282c19:dd:d9:dd:c25:c25a:d00a:9f48
742c19:dd:d9:dd:c25:c25a:d00a:9f49/1282c19:dd:d9:dd:c25:c25a:d00a:9f49
752c19:dd:d9:dd:c25:c25a:d00a:9f4a/1282c19:dd:d9:dd:c25:c25a:d00a:9f4a
762c19:dd:d9:dd:c25:c25a:d00a:9f4b/1282c19:dd:d9:dd:c25:c25a:d00a:9f4b
772c19:dd:d9:dd:c25:c25a:d00a:9f4c/1282c19:dd:d9:dd:c25:c25a:d00a:9f4c
782c19:dd:d9:dd:c25:c25a:d00a:9f4d/1282c19:dd:d9:dd:c25:c25a:d00a:9f4d
792c19:dd:d9:dd:c25:c25a:d00a:9f4e/1282c19:dd:d9:dd:c25:c25a:d00a:9f4e
802c19:dd:d9:dd:c25:c25a:d00a:9f4f/1282c19:dd:d9:dd:c25:c25a:d00a:9f4f
812c19:dd:d9:dd:c25:c25a:d00a:9f50/1282c19:dd:d9:dd:c25:c25a:d00a:9f50
822c19:dd:d9:dd:c25:c25a:d00a:9f51/1282c19:dd:d9:dd:c25:c25a:d00a:9f51
832c19:dd:d9:dd:c25:c25a:d00a:9f52/1282c19:dd:d9:dd:c25:c25a:d00a:9f52
842c19:dd:d9:dd:c25:c25a:d00a:9f53/1282c19:dd:d9:dd:c25:c25a:d00a:9f53
852c19:dd:d9:dd:c25:c25a:d00a:9f54/1282c19:dd:d9:dd:c25:c25a:d00a:9f54
862c19:dd:d9:dd:c25:c25a:d00a:9f55/1282c19:dd:d9:dd:c25:c25a:d00a:9f55
872c19:dd:d9:dd:c25:c25a:d00a:9f56/1282c19:dd:d9:dd:c25:c25a:d00a:9f56
882c19:dd:d9:dd:c25:c25a:d00a:9f57/1282c19:dd:d9:dd:c25:c25a:d00a:9f57
892c19:dd:d9:dd:c25:c25a:d00a:9f58/1282c19:dd:d9:dd:c25:c25a:d00a:9f58
902c19:dd:d9:dd:c25:c25a:d00a:9f59/1282c19:dd:d9:dd:c25:c25a:d00a:9f59
912c19:dd:d9:dd:c25:c25a:d00a:9f5a/1282c19:dd:d9:dd:c25:c25a:d00a:9f5a
922c19:dd:d9:dd:c25:c25a:d00a:9f5b/1282c19:dd:d9:dd:c25:c25a:d00a:9f5b
932c19:dd:d9:dd:c25:c25a:d00a:9f5c/1282c19:dd:d9:dd:c25:c25a:d00a:9f5c
942c19:dd:d9:dd:c25:c25a:d00a:9f5d/1282c19:dd:d9:dd:c25:c25a:d00a:9f5d
952c19:dd:d9:dd:c25:c25a:d00a:9f5e/1282c19:dd:d9:dd:c25:c25a:d00a:9f5e
962c19:dd:d9:dd:c25:c25a:d00a:9f5f/1282c19:dd:d9:dd:c25:c25a:d00a:9f5f
972c19:dd:d9:dd:c25:c25a:d00a:9f60/1282c19:dd:d9:dd:c25:c25a:d00a:9f60
982c19:dd:d9:dd:c25:c25a:d00a:9f61/1282c19:dd:d9:dd:c25:c25a:d00a:9f61
992c19:dd:d9:dd:c25:c25a:d00a:9f62/1282c19:dd:d9:dd:c25:c25a:d00a:9f62
1002c19:dd:d9:dd:c25:c25a:d00a:9f63/1282c19:dd:d9:dd:c25:c25a:d00a:9f63
1012c19:dd:d9:dd:c25:c25a:d00a:9f64/1282c19:dd:d9:dd:c25:c25a:d00a:9f64
1022c19:dd:d9:dd:c25:c25a:d00a:9f65/1282c19:dd:d9:dd:c25:c25a:d00a:9f65
1032c19:dd:d9:dd:c25:c25a:d00a:9f66/1282c19:dd:d9:dd:c25:c25a:d00a:9f66
1042c19:dd:d9:dd:c25:c25a:d00a:9f67/1282c19:dd:d9:dd:c25:c25a:d00a:9f67
1052c19:dd:d9:dd:c25:c25a:d00a:9f68/1282c19:dd:d9:dd:c25:c25a:d00a:9f68
1062c19:dd:d9:dd:c25:c25a:d00a:9f69/1282c19:dd:d9:dd:c25:c25a:d00a:9f69
1072c19:dd:d9:dd:c25:c25a:d00a:9f6a/1282c19:dd:d9:dd:c25:c25a:d00a:9f6a
1082c19:dd:d9:dd:c25:c25a:d00a:9f6b/1282c19:dd:d9:dd:c25:c25a:d00a:9f6b
1092c19:dd:d9:dd:c25:c25a:d00a:9f6c/1282c19:dd:d9:dd:c25:c25a:d00a:9f6c
1102c19:dd:d9:dd:c25:c25a:d00a:9f6d/1282c19:dd:d9:dd:c25:c25a:d00a:9f6d
1112c19:dd:d9:dd:c25:c25a:d00a:9f6e/1282c19:dd:d9:dd:c25:c25a:d00a:9f6e
1122c19:dd:d9:dd:c25:c25a:d00a:9f6f/1282c19:dd:d9:dd:c25:c25a:d00a:9f6f
1132c19:dd:d9:dd:c25:c25a:d00a:9f70/1282c19:dd:d9:dd:c25:c25a:d00a:9f70
1142c19:dd:d9:dd:c25:c25a:d00a:9f71/1282c19:dd:d9:dd:c25:c25a:d00a:9f71
1152c19:dd:d9:dd:c25:c25a:d00a:9f72/1282c19:dd:d9:dd:c25:c25a:d00a:9f72
1162c19:dd:d9:dd:c25:c25a:d00a:9f73/1282c19:dd:d9:dd:c25:c25a:d00a:9f73
1172c19:dd:d9:dd:c25:c25a:d00a:9f74/1282c19:dd:d9:dd:c25:c25a:d00a:9f74
1182c19:dd:d9:dd:c25:c25a:d00a:9f75/1282c19:dd:d9:dd:c25:c25a:d00a:9f75
1192c19:dd:d9:dd:c25:c25a:d00a:9f76/1282c19:dd:d9:dd:c25:c25a:d00a:9f76
1202c19:dd:d9:dd:c25:c25a:d00a:9f77/1282c19:dd:d9:dd:c25:c25a:d00a:9f77
1212c19:dd:d9:dd:c25:c25a:d00a:9f78/1282c19:dd:d9:dd:c25:c25a:d00a:9f78
1222c19:dd:d9:dd:c25:c25a:d00a:9f79/1282c19:dd:d9:dd:c25:c25a:d00a:9f79
1232c19:dd:d9:dd:c25:c25a:d00a:9f7a/1282c19:dd:d9:dd:c25:c25a:d00a:9f7a
1242c19:dd:d9:dd:c25:c25a:d00a:9f7b/1282c19:dd:d9:dd:c25:c25a:d00a:9f7b
1252c19:dd:d9:dd:c25:c25a:d00a:9f7c/1282c19:dd:d9:dd:c25:c25a:d00a:9f7c
1262c19:dd:d9:dd:c25:c25a:d00a:9f7d/1282c19:dd:d9:dd:c25:c25a:d00a:9f7d
1272c19:dd:d9:dd:c25:c25a:d00a:9f7e/1282c19:dd:d9:dd:c25:c25a:d00a:9f7e
1282c19:dd:d9:dd:c25:c25a:d00a:9f7f/1282c19:dd:d9:dd:c25:c25a:d00a:9f7f
1292c19:dd:d9:dd:c25:c25a:d00a:9f80/1282c19:dd:d9:dd:c25:c25a:d00a:9f80
1302c19:dd:d9:dd:c25:c25a:d00a:9f81/1282c19:dd:d9:dd:c25:c25a:d00a:9f81
1312c19:dd:d9:dd:c25:c25a:d00a:9f82/1282c19:dd:d9:dd:c25:c25a:d00a:9f82
1322c19:dd:d9:dd:c25:c25a:d00a:9f83/1282c19:dd:d9:dd:c25:c25a:d00a:9f83
1332c19:dd:d9:dd:c25:c25a:d00a:9f84/1282c19:dd:d9:dd:c25:c25a:d00a:9f84
1342c19:dd:d9:dd:c25:c25a:d00a:9f85/1282c19:dd:d9:dd:c25:c25a:d00a:9f85
1352c19:dd:d9:dd:c25:c25a:d00a:9f86/1282c19:dd:d9:dd:c25:c25a:d00a:9f86
1362c19:dd:d9:dd:c25:c25a:d00a:9f87/1282c19:dd:d9:dd:c25:c25a:d00a:9f87
1372c19:dd:d9:dd:c25:c25a:d00a:9f88/1282c19:dd:d9:dd:c25:c25a:d00a:9f88
1382c19:dd:d9:dd:c25:c25a:d00a:9f89/1282c19:dd:d9:dd:c25:c25a:d00a:9f89
1392c19:dd:d9:dd:c25:c25a:d00a:9f8a/1282c19:dd:d9:dd:c25:c25a:d00a:9f8a
1402c19:dd:d9:dd:c25:c25a:d00a:9f8b/1282c19:dd:d9:dd:c25:c25a:d00a:9f8b
1412c19:dd:d9:dd:c25:c25a:d00a:9f8c/1282c19:dd:d9:dd:c25:c25a:d00a:9f8c
1422c19:dd:d9:dd:c25:c25a:d00a:9f8d/1282c19:dd:d9:dd:c25:c25a:d00a:9f8d
1432c19:dd:d9:dd:c25:c25a:d00a:9f8e/1282c19:dd:d9:dd:c25:c25a:d00a:9f8e
1442c19:dd:d9:dd:c25:c25a:d00a:9f8f/1282c19:dd:d9:dd:c25:c25a:d00a:9f8f
1452c19:dd:d9:dd:c25:c25a:d00a:9f90/1282c19:dd:d9:dd:c25:c25a:d00a:9f90
1462c19:dd:d9:dd:c25:c25a:d00a:9f91/1282c19:dd:d9:dd:c25:c25a:d00a:9f91
1472c19:dd:d9:dd:c25:c25a:d00a:9f92/1282c19:dd:d9:dd:c25:c25a:d00a:9f92
1482c19:dd:d9:dd:c25:c25a:d00a:9f93/1282c19:dd:d9:dd:c25:c25a:d00a:9f93
1492c19:dd:d9:dd:c25:c25a:d00a:9f94/1282c19:dd:d9:dd:c25:c25a:d00a:9f94
1502c19:dd:d9:dd:c25:c25a:d00a:9f95/1282c19:dd:d9:dd:c25:c25a:d00a:9f95
1512c19:dd:d9:dd:c25:c25a:d00a:9f96/1282c19:dd:d9:dd:c25:c25a:d00a:9f96
1522c19:dd:d9:dd:c25:c25a:d00a:9f97/1282c19:dd:d9:dd:c25:c25a:d00a:9f97
1532c19:dd:d9:dd:c25:c25a:d00a:9f98/1282c19:dd:d9:dd:c25:c25a:d00a:9f98
1542c19:dd:d9:dd:c25:c25a:d00a:9f99/1282c19:dd:d9:dd:c25:c25a:d00a:9f99
1552c19:dd:d9:dd:c25:c25a:d00a:9f9a/1282c19:dd:d9:dd:c25:c25a:d00a:9f9a
1562c19:dd:d9:dd:c25:c25a:d00a:9f9b/1282c19:dd:d9:dd:c25:c25a:d00a:9f9b
1572c19:dd:d9:dd:c25:c25a:d00a:9f9c/1282c19:dd:d9:dd:c25:c25a:d00a:9f9c
1582c19:dd:d9:dd:c25:c25a:d00a:9f9d/1282c19:dd:d9:dd:c25:c25a:d00a:9f9d
1592c19:dd:d9:dd:c25:c25a:d00a:9f9e/1282c19:dd:d9:dd:c25:c25a:d00a:9f9e
1602c19:dd:d9:dd:c25:c25a:d00a:9f9f/1282c19:dd:d9:dd:c25:c25a:d00a:9f9f
1612c19:dd:d9:dd:c25:c25a:d00a:9fa0/1282c19:dd:d9:dd:c25:c25a:d00a:9fa0
1622c19:dd:d9:dd:c25:c25a:d00a:9fa1/1282c19:dd:d9:dd:c25:c25a:d00a:9fa1
1632c19:dd:d9:dd:c25:c25a:d00a:9fa2/1282c19:dd:d9:dd:c25:c25a:d00a:9fa2
1642c19:dd:d9:dd:c25:c25a:d00a:9fa3/1282c19:dd:d9:dd:c25:c25a:d00a:9fa3
1652c19:dd:d9:dd:c25:c25a:d00a:9fa4/1282c19:dd:d9:dd:c25:c25a:d00a:9fa4
1662c19:dd:d9:dd:c25:c25a:d00a:9fa5/1282c19:dd:d9:dd:c25:c25a:d00a:9fa5
1672c19:dd:d9:dd:c25:c25a:d00a:9fa6/1282c19:dd:d9:dd:c25:c25a:d00a:9fa6
1682c19:dd:d9:dd:c25:c25a:d00a:9fa7/1282c19:dd:d9:dd:c25:c25a:d00a:9fa7
1692c19:dd:d9:dd:c25:c25a:d00a:9fa8/1282c19:dd:d9:dd:c25:c25a:d00a:9fa8
1702c19:dd:d9:dd:c25:c25a:d00a:9fa9/1282c19:dd:d9:dd:c25:c25a:d00a:9fa9
1712c19:dd:d9:dd:c25:c25a:d00a:9faa/1282c19:dd:d9:dd:c25:c25a:d00a:9faa
1722c19:dd:d9:dd:c25:c25a:d00a:9fab/1282c19:dd:d9:dd:c25:c25a:d00a:9fab
1732c19:dd:d9:dd:c25:c25a:d00a:9fac/1282c19:dd:d9:dd:c25:c25a:d00a:9fac
1742c19:dd:d9:dd:c25:c25a:d00a:9fad/1282c19:dd:d9:dd:c25:c25a:d00a:9fad
1752c19:dd:d9:dd:c25:c25a:d00a:9fae/1282c19:dd:d9:dd:c25:c25a:d00a:9fae
1762c19:dd:d9:dd:c25:c25a:d00a:9faf/1282c19:dd:d9:dd:c25:c25a:d00a:9faf
1772c19:dd:d9:dd:c25:c25a:d00a:9fb0/1282c19:dd:d9:dd:c25:c25a:d00a:9fb0
1782c19:dd:d9:dd:c25:c25a:d00a:9fb1/1282c19:dd:d9:dd:c25:c25a:d00a:9fb1
1792c19:dd:d9:dd:c25:c25a:d00a:9fb2/1282c19:dd:d9:dd:c25:c25a:d00a:9fb2
1802c19:dd:d9:dd:c25:c25a:d00a:9fb3/1282c19:dd:d9:dd:c25:c25a:d00a:9fb3
1812c19:dd:d9:dd:c25:c25a:d00a:9fb4/1282c19:dd:d9:dd:c25:c25a:d00a:9fb4
1822c19:dd:d9:dd:c25:c25a:d00a:9fb5/1282c19:dd:d9:dd:c25:c25a:d00a:9fb5
1832c19:dd:d9:dd:c25:c25a:d00a:9fb6/1282c19:dd:d9:dd:c25:c25a:d00a:9fb6
1842c19:dd:d9:dd:c25:c25a:d00a:9fb7/1282c19:dd:d9:dd:c25:c25a:d00a:9fb7
1852c19:dd:d9:dd:c25:c25a:d00a:9fb8/1282c19:dd:d9:dd:c25:c25a:d00a:9fb8
1862c19:dd:d9:dd:c25:c25a:d00a:9fb9/1282c19:dd:d9:dd:c25:c25a:d00a:9fb9
1872c19:dd:d9:dd:c25:c25a:d00a:9fba/1282c19:dd:d9:dd:c25:c25a:d00a:9fba
1882c19:dd:d9:dd:c25:c25a:d00a:9fbb/1282c19:dd:d9:dd:c25:c25a:d00a:9fbb
1892c19:dd:d9:dd:c25:c25a:d00a:9fbc/1282c19:dd:d9:dd:c25:c25a:d00a:9fbc
1902c19:dd:d9:dd:c25:c25a:d00a:9fbd/1282c19:dd:d9:dd:c25:c25a:d00a:9fbd
1912c19:dd:d9:dd:c25:c25a:d00a:9fbe/1282c19:dd:d9:dd:c25:c25a:d00a:9fbe
1922c19:dd:d9:dd:c25:c25a:d00a:9fbf/1282c19:dd:d9:dd:c25:c25a:d00a:9fbf
1932c19:dd:d9:dd:c25:c25a:d00a:9fc0/1282c19:dd:d9:dd:c25:c25a:d00a:9fc0
1942c19:dd:d9:dd:c25:c25a:d00a:9fc1/1282c19:dd:d9:dd:c25:c25a:d00a:9fc1
1952c19:dd:d9:dd:c25:c25a:d00a:9fc2/1282c19:dd:d9:dd:c25:c25a:d00a:9fc2
1962c19:dd:d9:dd:c25:c25a:d00a:9fc3/1282c19:dd:d9:dd:c25:c25a:d00a:9fc3
1972c19:dd:d9:dd:c25:c25a:d00a:9fc4/1282c19:dd:d9:dd:c25:c25a:d00a:9fc4
1982c19:dd:d9:dd:c25:c25a:d00a:9fc5/1282c19:dd:d9:dd:c25:c25a:d00a:9fc5
1992c19:dd:d9:dd:c25:c25a:d00a:9fc6/1282c19:dd:d9:dd:c25:c25a:d00a:9fc6
2002c19:dd:d9:dd:c25:c25a:d00a:9fc7/1282c19:dd:d9:dd:c25:c25a:d00a:9fc7
2012c19:dd:d9:dd:c25:c25a:d00a:9fc8/1282c19:dd:d9:dd:c25:c25a:d00a:9fc8
2022c19:dd:d9:dd:c25:c25a:d00a:9fc9/1282c19:dd:d9:dd:c25:c25a:d00a:9fc9
2032c19:dd:d9:dd:c25:c25a:d00a:9fca/1282c19:dd:d9:dd:c25:c25a:d00a:9fca
2042c19:dd:d9:dd:c25:c25a:d00a:9fcb/1282c19:dd:d9:dd:c25:c25a:d00a:9fcb
2052c19:dd:d9:dd:c25:c25a:d00a:9fcc/1282c19:dd:d9:dd:c25:c25a:d00a:9fcc
2062c19:dd:d9:dd:c25:c25a:d00a:9fcd/1282c19:dd:d9:dd:c25:c25a:d00a:9fcd
2072c19:dd:d9:dd:c25:c25a:d00a:9fce/1282c19:dd:d9:dd:c25:c25a:d00a:9fce
2082c19:dd:d9:dd:c25:c25a:d00a:9fcf/1282c19:dd:d9:dd:c25:c25a:d00a:9fcf
2092c19:dd:d9:dd:c25:c25a:d00a:9fd0/1282c19:dd:d9:dd:c25:c25a:d00a:9fd0
2102c19:dd:d9:dd:c25:c25a:d00a:9fd1/1282c19:dd:d9:dd:c25:c25a:d00a:9fd1
2112c19:dd:d9:dd:c25:c25a:d00a:9fd2/1282c19:dd:d9:dd:c25:c25a:d00a:9fd2
2122c19:dd:d9:dd:c25:c25a:d00a:9fd3/1282c19:dd:d9:dd:c25:c25a:d00a:9fd3
2132c19:dd:d9:dd:c25:c25a:d00a:9fd4/1282c19:dd:d9:dd:c25:c25a:d00a:9fd4
2142c19:dd:d9:dd:c25:c25a:d00a:9fd5/1282c19:dd:d9:dd:c25:c25a:d00a:9fd5
2152c19:dd:d9:dd:c25:c25a:d00a:9fd6/1282c19:dd:d9:dd:c25:c25a:d00a:9fd6
2162c19:dd:d9:dd:c25:c25a:d00a:9fd7/1282c19:dd:d9:dd:c25:c25a:d00a:9fd7
2172c19:dd:d9:dd:c25:c25a:d00a:9fd8/1282c19:dd:d9:dd:c25:c25a:d00a:9fd8
2182c19:dd:d9:dd:c25:c25a:d00a:9fd9/1282c19:dd:d9:dd:c25:c25a:d00a:9fd9
2192c19:dd:d9:dd:c25:c25a:d00a:9fda/1282c19:dd:d9:dd:c25:c25a:d00a:9fda
2202c19:dd:d9:dd:c25:c25a:d00a:9fdb/1282c19:dd:d9:dd:c25:c25a:d00a:9fdb
2212c19:dd:d9:dd:c25:c25a:d00a:9fdc/1282c19:dd:d9:dd:c25:c25a:d00a:9fdc
2222c19:dd:d9:dd:c25:c25a:d00a:9fdd/1282c19:dd:d9:dd:c25:c25a:d00a:9fdd
2232c19:dd:d9:dd:c25:c25a:d00a:9fde/1282c19:dd:d9:dd:c25:c25a:d00a:9fde
2242c19:dd:d9:dd:c25:c25a:d00a:9fdf/1282c19:dd:d9:dd:c25:c25a:d00a:9fdf
2252c19:dd:d9:dd:c25:c25a:d00a:9fe0/1282c19:dd:d9:dd:c25:c25a:d00a:9fe0
2262c19:dd:d9:dd:c25:c25a:d00a:9fe1/1282c19:dd:d9:dd:c25:c25a:d00a:9fe1
2272c19:dd:d9:dd:c25:c25a:d00a:9fe2/1282c19:dd:d9:dd:c25:c25a:d00a:9fe2
2282c19:dd:d9:dd:c25:c25a:d00a:9fe3/1282c19:dd:d9:dd:c25:c25a:d00a:9fe3
2292c19:dd:d9:dd:c25:c25a:d00a:9fe4/1282c19:dd:d9:dd:c25:c25a:d00a:9fe4
2302c19:dd:d9:dd:c25:c25a:d00a:9fe5/1282c19:dd:d9:dd:c25:c25a:d00a:9fe5
2312c19:dd:d9:dd:c25:c25a:d00a:9fe6/1282c19:dd:d9:dd:c25:c25a:d00a:9fe6
2322c19:dd:d9:dd:c25:c25a:d00a:9fe7/1282c19:dd:d9:dd:c25:c25a:d00a:9fe7
2332c19:dd:d9:dd:c25:c25a:d00a:9fe8/1282c19:dd:d9:dd:c25:c25a:d00a:9fe8
2342c19:dd:d9:dd:c25:c25a:d00a:9fe9/1282c19:dd:d9:dd:c25:c25a:d00a:9fe9
2352c19:dd:d9:dd:c25:c25a:d00a:9fea/1282c19:dd:d9:dd:c25:c25a:d00a:9fea
2362c19:dd:d9:dd:c25:c25a:d00a:9feb/1282c19:dd:d9:dd:c25:c25a:d00a:9feb
2372c19:dd:d9:dd:c25:c25a:d00a:9fec/1282c19:dd:d9:dd:c25:c25a:d00a:9fec
2382c19:dd:d9:dd:c25:c25a:d00a:9fed/1282c19:dd:d9:dd:c25:c25a:d00a:9fed
2392c19:dd:d9:dd:c25:c25a:d00a:9fee/1282c19:dd:d9:dd:c25:c25a:d00a:9fee
2402c19:dd:d9:dd:c25:c25a:d00a:9fef/1282c19:dd:d9:dd:c25:c25a:d00a:9fef
2412c19:dd:d9:dd:c25:c25a:d00a:9ff0/1282c19:dd:d9:dd:c25:c25a:d00a:9ff0
2422c19:dd:d9:dd:c25:c25a:d00a:9ff1/1282c19:dd:d9:dd:c25:c25a:d00a:9ff1
2432c19:dd:d9:dd:c25:c25a:d00a:9ff2/1282c19:dd:d9:dd:c25:c25a:d00a:9ff2
2442c19:dd:d9:dd:c25:c25a:d00a:9ff3/1282c19:dd:d9:dd:c25:c25a:d00a:9ff3
2452c19:dd:d9:dd:c25:c25a:d00a:9ff4/1282c19:dd:d9:dd:c25:c25a:d00a:9ff4
2462c19:dd:d9:dd:c25:c25a:d00a:9ff5/1282c19:dd:d9:dd:c25:c25a:d00a:9ff5
2472c19:dd:d9:dd:c25:c25a:d00a:9ff6/1282c19:dd:d9:dd:c25:c25a:d00a:9ff6
2482c19:dd:d9:dd:c25:c25a:d00a:9ff7/1282c19:dd:d9:dd:c25:c25a:d00a:9ff7
2492c19:dd:d9:dd:c25:c25a:d00a:9ff8/1282c19:dd:d9:dd:c25:c25a:d00a:9ff8
2502c19:dd:d9:dd:c25:c25a:d00a:9ff9/1282c19:dd:d9:dd:c25:c25a:d00a:9ff9
2512c19:dd:d9:dd:c25:c25a:d00a:9ffa/1282c19:dd:d9:dd:c25:c25a:d00a:9ffa
2522c19:dd:d9:dd:c25:c25a:d00a:9ffb/1282c19:dd:d9:dd:c25:c25a:d00a:9ffb
2532c19:dd:d9:dd:c25:c25a:d00a:9ffc/1282c19:dd:d9:dd:c25:c25a:d00a:9ffc
2542c19:dd:d9:dd:c25:c25a:d00a:9ffd/1282c19:dd:d9:dd:c25:c25a:d00a:9ffd
2552c19:dd:d9:dd:c25:c25a:d00a:9ffe/1282c19:dd:d9:dd:c25:c25a:d00a:9ffe
2562c19:dd:d9:dd:c25:c25a:d00a:9fff/1282c19:dd:d9:dd:c25:c25a:d00a:9fff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses